%define name dmidecode
%define version 2.4
%define release 1mdk

Summary:	Tool for dumping a computer's DMI table contents
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	http://www.nongnu.org/dmidecode/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-mandir.patch.bz2
URL:		http://www.nongnu.org/dmidecode/
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%_tmppath/%name-%version-%release-root
PreReq:		rpm-helper

%description

Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS) table
contents in a human-readable format. This table contains a description of the
system's hardware components, as well as other useful pieces of information
such as serial numbers and BIOS revision. Part of its code can be found in
the Linux kernel, because DMI data may be used to enable or disable specific
portions of code depending on the hardware vendor. Thus, dmidecode is mainly
used to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%setup -q
%patch0 -p0

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE AUTHORS CHANGELOG
%{_sbindir}/*
%{_mandir}/man8/*bz2

%changelog
* Fri May 07 2004 Erwan Velu <erwan@mandrakesoft.com> 2.4-1mdk 
- new release 2.4
- moving man pages in %{_mandir}
* Fri May 07 2004 Michael Scherer <misc@mandrake.org> 2.3-3mdk 
- use macro
- do not own /usr/sbin/

* Fri Jan  9 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.3-2mdk
- rename spec file
- removed lm_sensors stuff

* Wed Jan  7 2004 Warly <warly@mandrakesoft.com> 2.3-1mdk
- new package
